## org.apache.batik.bridge
Class BridgeContext.CSSPropertiesChangedListener

    java.lang.Object
      org.apache.batik.bridge.BridgeContext.CSSPropertiesChangedListener

All Implemented Interfaces:
  CSSEngineListener

Enclosing class:
  BridgeContext

    protected class BridgeContext.CSSPropertiesChangedListener

extends java.lang.Object
implements CSSEngineListener

The CSSEngineListener invoked when CSS properties are modified on a particular element.

Constructor Summary
`BridgeContext.CSSPropertiesChangedListener()` Creates a new CSSPropertiesChangedListener.

Method Summary
`void` `propertiesChanged(CSSEngineEvent evt)` Handles CSSEngineEvent that describes the CSS properties that have changed on a particular element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BridgeContext.CSSPropertiesChangedListener

    public BridgeContext.CSSPropertiesChangedListener()

  Creates a new CSSPropertiesChangedListener.

Method Detail

### propertiesChanged

    public void propertiesChanged(CSSEngineEvent evt)

  Handles CSSEngineEvent that describes the CSS properties that have changed on a particular element.

  Specified by:
    `propertiesChanged` in interface `CSSEngineListener`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.